/*------------------------------------------------------------------------------
 lib/djv_image/app.h
 
 Command Line Imaging Application
 
 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJV_IMAGE_APP_H
#define DJV_IMAGE_APP_H

#include <djv_base/app.h>
#include <djv_image/base.h>

namespace djv {
namespace image {
namespace app {

class App : public djv::app::App {
public:

  App(const Str & name, int & argc, char ** argv) throw (Error);
  virtual ~App();

  virtual Str info() const;
};

// Global.

App * app();

}
}
}

#endif

