/*------------------------------------------------------------------------------
 lib/djv_ui/layout_fnc.cxx

 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "layout.h"

namespace djv {
namespace ui {
namespace layout {

void group(const List<Item *> & in)
{
  List<Item *> tmp, tmp2;
  
  for (uint i = 0; i < in.size(); ++i) {
    tmp += in[i]->group_align();
    if (in[i]->label_align()) tmp2 += in[i]->label_align();
  }
  
  for (uint i = 0; i < in.size(); ++i) {
    in[i]->group_align()->group(tmp);
    if (in[i]->label_align()) in[i]->label_align()->group(tmp2);
  }
}

}
}
}
